import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { TinyArea } from '@antv/g2plot';
import BaseChart from '../../components/base';
var TinyAreaChart = defineComponent({
  name: 'TinyAreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": TinyArea
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

TinyAreaChart.install = function (app) {
  app.component(TinyAreaChart.name, TinyAreaChart);
};

export default TinyAreaChart;